curl --request POST \
--url https://api.sandbox.isometric.com/mrv/v0/measurement_locations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-client-secret: <x-client-secret>' \
--data '
{
"latitude": 51.5072,
"longitude": -0.1276,
"project_id": "prj_1CTWZQGKE1S0VAXA",
"supplier_reference_id": "<string>"
}
'import requests
url = "https://api.sandbox.isometric.com/mrv/v0/measurement_locations"
payload = {
"latitude": 51.5072,
"longitude": -0.1276,
"project_id": "prj_1CTWZQGKE1S0VAXA",
"supplier_reference_id": "<string>"
}
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-secret': '<x-client-secret>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
latitude: 51.5072,
longitude: -0.1276,
project_id: 'prj_1CTWZQGKE1S0VAXA',
supplier_reference_id: '<string>'
})
};
fetch('https://api.sandbox.isometric.com/mrv/v0/measurement_locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "mlc_1CCZASA6Q1S0V8T4",
"latitude": 51.5072,
"longitude": -0.1276,
"supplier_reference_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Post Measurement Locations
Authorizations
A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>
Headers
A secret token identifying the client connecting to the API
"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"
Body
A WGS84 latitude in decimal degrees, between -90 and 90.
-90 <= x <= 9051.5072
-33.8688
A WGS84 longitude in decimal degrees, between -180 and 180.
-180 <= x <= 180-0.1276
151.2093
20 - 37"prj_1CTWZQGKE1S0VAXA"
"prj_1E0QTWB22SBX34D1"
A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.
1 - 200Response
Successful Response
20 - 37"mlc_1CCZASA6Q1S0V8T4"
"mlc_1GF73PG90SBXKEX1"
A WGS84 latitude in decimal degrees, between -90 and 90.
-90 <= x <= 9051.5072
-33.8688
A WGS84 longitude in decimal degrees, between -180 and 180.
-180 <= x <= 180-0.1276
151.2093
A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.
1 - 200Was this page helpful?